diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/widgets.dev.js ./wordpress-3.3/wp-admin/js/widgets.dev.js
*** ./wordpress-3.2.1/wp-admin/js/widgets.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/widgets.dev.js	2011-09-25 13:53:34.000000000 -0500
***************
*** 5,11 ****
  
  	init : function() {
  		var rem, sidebars = $('div.widgets-sortables'), isRTL = !! ( 'undefined' != typeof isRtl && isRtl ),
! 			margin = ( isRtl ? 'marginRight' : 'marginLeft' );
  
  		$('#widgets-right').children('.widgets-holder-wrap').children('.sidebar-name').click(function(){
  			var c = $(this).siblings('.widgets-sortables'), p = $(this).parent();
--- 5,11 ----
  
  	init : function() {
  		var rem, sidebars = $('div.widgets-sortables'), isRTL = !! ( 'undefined' != typeof isRtl && isRtl ),
! 			margin = ( isRtl ? 'marginRight' : 'marginLeft' ), the_id;
  
  		$('#widgets-right').children('.widgets-holder-wrap').children('.sidebar-name').click(function(){
  			var c = $(this).siblings('.widgets-sortables'), p = $(this).parent();
***************
*** 19,28 ****
  		});
  
  		$('#widgets-left').children('.widgets-holder-wrap').children('.sidebar-name').click(function() {
! 			$(this).siblings('.widget-holder').parent().toggleClass('closed');
  		});
  
! 		sidebars.not('#wp_inactive_widgets').each(function(){
  			var h = 50, H = $(this).children('.widget').length;
  			h = h + parseInt(H * 48, 10);
  			$(this).css( 'minHeight', h + 'px' );
--- 19,31 ----
  		});
  
  		$('#widgets-left').children('.widgets-holder-wrap').children('.sidebar-name').click(function() {
! 			$(this).parent().toggleClass('closed');
  		});
  
! 		sidebars.each(function(){
! 			if ( $(this).parent().hasClass('inactive') )
! 				return true;
! 
  			var h = 50, H = $(this).children('.widget').length;
  			h = h + parseInt(H * 48, 10);
  			$(this).css( 'minHeight', h + 'px' );
***************
*** 77,84 ****
  			zIndex: 5,
  			containment: 'document',
  			start: function(e,ui) {
- 				wpWidgets.fixWebkit(1);
  				ui.helper.find('div.widget-description').hide();
  			},
  			stop: function(e,ui) {
  				if ( rem )
--- 80,87 ----
  			zIndex: 5,
  			containment: 'document',
  			start: function(e,ui) {
  				ui.helper.find('div.widget-description').hide();
+ 				the_id = this.id;
  			},
  			stop: function(e,ui) {
  				if ( rem )
***************
*** 83,90 ****
  			stop: function(e,ui) {
  				if ( rem )
  					$(rem).hide();
  				rem = '';
- 				wpWidgets.fixWebkit();
  			}
  		});
  
--- 86,93 ----
  			stop: function(e,ui) {
  				if ( rem )
  					$(rem).hide();
+ 
  				rem = '';
  			}
  		});
  
***************
*** 96,102 ****
  			distance: 2,
  			containment: 'document',
  			start: function(e,ui) {
- 				wpWidgets.fixWebkit(1);
  				ui.item.children('.widget-inside').hide();
  				ui.item.css({margin:'', 'width':''});
  			},
--- 99,104 ----
***************
*** 112,126 ****
  
  				var add = ui.item.find('input.add_new').val(),
  					n = ui.item.find('input.multi_number').val(),
! 					id = ui.item.attr('id'),
  					sb = $(this).attr('id');
  
  				ui.item.css({margin:'', 'width':''});
! 				wpWidgets.fixWebkit();
  				if ( add ) {
  					if ( 'multi' == add ) {
  						ui.item.html( ui.item.html().replace(/<[^<>]+>/g, function(m){ return m.replace(/__i__|%i%/g, n); }) );
! 						ui.item.attr( 'id', id.replace(/__i__|%i%/g, n) );
  						n++;
  						$('div#' + id).find('input.multi_number').val(n);
  					} else if ( 'single' == add ) {
--- 114,129 ----
  
  				var add = ui.item.find('input.add_new').val(),
  					n = ui.item.find('input.multi_number').val(),
! 					id = the_id,
  					sb = $(this).attr('id');
  
  				ui.item.css({margin:'', 'width':''});
! 				the_id = '';
! 
  				if ( add ) {
  					if ( 'multi' == add ) {
  						ui.item.html( ui.item.html().replace(/<[^<>]+>/g, function(m){ return m.replace(/__i__|%i%/g, n); }) );
! 						ui.item.attr( 'id', id.replace('__i__', n) );
  						n++;
  						$('div#' + id).find('input.multi_number').val(n);
  					} else if ( 'single' == add ) {
***************
*** 134,142 ****
  				}
  				wpWidgets.saveOrder(sb);
  			},
! 			receive: function(e,ui) {
! 				if ( !$(this).is(':visible') )
! 					$(this).sortable('cancel');
  			}
  		}).sortable('option', 'connectWith', 'div.widgets-sortables').parent().filter('.closed').children('.widgets-sortables').sortable('disable');
  
--- 137,151 ----
  				}
  				wpWidgets.saveOrder(sb);
  			},
! 			receive: function(e, ui) {
! 				var sender = $(ui.sender);
! 
! 				if ( !$(this).is(':visible') || this.id.indexOf('orphaned_widgets') != -1 )
! 					sender.sortable('cancel');
! 
! 				if ( sender.attr('id').indexOf('orphaned_widgets') != -1 && !sender.children('.widget').length ) {
! 					sender.parents('.orphan-sidebar').slideUp(400, function(){ $(this).remove(); });
! 				}
  			}
  		}).sortable('option', 'connectWith', 'div.widgets-sortables').parent().filter('.closed').children('.widgets-sortables').sortable('disable');
  
***************
*** 176,182 ****
  		};
  
  		$('div.widgets-sortables').each( function() {
! 			a['sidebars[' + $(this).attr('id') + ']'] = $(this).sortable('toArray').join(',');
  		});
  
  		$.post( ajaxurl, a, function() {
--- 185,192 ----
  		};
  
  		$('div.widgets-sortables').each( function() {
! 			if ( $(this).sortable )
! 				a['sidebars[' + $(this).attr('id') + ']'] = $(this).sortable('toArray').join(',');
  		});
  
  		$.post( ajaxurl, a, function() {
***************
*** 247,268 ****
  	},
  
  	resize : function() {
! 		$('div.widgets-sortables').not('#wp_inactive_widgets').each(function(){
  			var h = 50, H = $(this).children('.widget').length;
  			h = h + parseInt(H * 48, 10);
  			$(this).css( 'minHeight', h + 'px' );
  		});
  	},
  
!     fixWebkit : function(n) {
!         n = n ? 'none' : '';
!         $('body').css({
! 			WebkitUserSelect: n,
! 			KhtmlUserSelect: n
! 		});
!     },
! 
!     fixLabels : function(widget) {
  		widget.children('.widget-inside').find('label').each(function(){
  			var f = $(this).attr('for');
  			if ( f && f == $('input', this).attr('id') )
--- 257,273 ----
  	},
  
  	resize : function() {
! 		$('div.widgets-sortables').each(function(){
! 			if ( $(this).parent().hasClass('inactive') )
! 				return true;
! 
  			var h = 50, H = $(this).children('.widget').length;
  			h = h + parseInt(H * 48, 10);
  			$(this).css( 'minHeight', h + 'px' );
  		});
  	},
  
! 	fixLabels : function(widget) {
  		widget.children('.widget-inside').find('label').each(function(){
  			var f = $(this).attr('for');
  			if ( f && f == $('input', this).attr('id') )
***************
*** 270,276 ****
  		});
  	},
  
!     close : function(widget) {
  		widget.children('.widget-inside').slideUp('fast', function(){
  			widget.css({'width':'', margin:''});
  		});
--- 275,281 ----
  		});
  	},
  
! 	close : function(widget) {
  		widget.children('.widget-inside').slideUp('fast', function(){
  			widget.css({'width':'', margin:''});
  		});
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/wp-fullscreen.dev.js ./wordpress-3.3/wp-admin/js/wp-fullscreen.dev.js
*** ./wordpress-3.2.1/wp-admin/js/wp-fullscreen.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/wp-fullscreen.dev.js	2011-11-16 20:44:28.000000000 -0600
***************
*** 77,83 ****
  		visible : false,
  		mode : 'tinymce',
  		editor_id : 'content',
! 		title_id : 'title',
  		timer : 0,
  		toolbar_shown : false
  	}
--- 77,83 ----
  		visible : false,
  		mode : 'tinymce',
  		editor_id : 'content',
! 		title_id : '',
  		timer : 0,
  		toolbar_shown : false
  	}
***************
*** 137,143 ****
--- 137,161 ----
  		if ( s.visible )
  			return;
  
+ 		// Settings can be added or changed by defining "wp_fullscreen_settings" JS object.
+ 		// This can be done by defining it as PHP associative array, json encoding it and passing it to JS with:
+ 		// wp_add_script_before( 'wp-fullscreen', 'wp_fullscreen_settings = ' . $json_encoded_array . ';' );
+ 		if ( typeof(wp_fullscreen_settings) == 'object' )
+ 			$.extend( s, wp_fullscreen_settings );
+ 
+ 		s.editor_id = wpActiveEditor || 'content';
+ 
+ 		if ( !s.title_id ) {
+ 			if ( $('input#title').length && s.editor_id == 'content' )
+ 				s.title_id = 'title';
+ 			else if ( $('input#' + s.editor_id + '-title').length ) // the title input field should have [editor_id]-title HTML ID to be auto detected
+ 				s.title_id = s.editor_id + '-title';
+ 			else
+ 				$('#wp-fullscreen-title, #wp-fullscreen-title-prompt-text').hide();
+ 		}
+ 
  		s.mode = $('#' + s.editor_id).is(':hidden') ? 'tinymce' : 'html';
+ 		s.qt_canvas = $('#' + s.editor_id).get(0);
  
  		if ( ! s.element )
  			api.ui.init();
***************
*** 218,224 ****
  	api.savecontent = function() {
  		var ed, content;
  
! 		$('#' + s.title_id).val( $('#wp-fullscreen-title').val() );
  
  		if ( s.mode === 'tinymce' && (ed = tinyMCE.get('wp_mce_fullscreen')) ) {
  			content = ed.save();
--- 236,243 ----
  	api.savecontent = function() {
  		var ed, content;
  
! 		if ( s.title_id )
! 			$('#' + s.title_id).val( $('#wp-fullscreen-title').val() );
  
  		if ( s.mode === 'tinymce' && (ed = tinyMCE.get('wp_mce_fullscreen')) ) {
  			content = ed.save();
***************
*** 278,296 ****
  	});
  
  	ps.subscribe( 'show', function() { // This event occurs before the overlay blocks the UI.
! 		var title = $('#wp-fullscreen-title').val( $('#' + s.title_id).val() );
  
- 		set_title_hint( title );
  		$('#wp-fullscreen-save input').attr( 'title',  $('#last-edit').text() );
  
! 		s.textarea_obj.value = edCanvas.value;
  
  		if ( s.has_tinymce && s.mode === 'tinymce' )
  			tinyMCE.execCommand('wpFullScreenInit');
  
- 		s._edCanvas = edCanvas;
- 		edCanvas = s.textarea_obj;
- 
  		s.orig_y = $(window).scrollTop();
  	});
  
--- 297,316 ----
  	});
  
  	ps.subscribe( 'show', function() { // This event occurs before the overlay blocks the UI.
! 		var title;
! 
! 		if ( s.title_id ) {
! 			title = $('#wp-fullscreen-title').val( $('#' + s.title_id).val() );
! 			set_title_hint( title );
! 		}
  
  		$('#wp-fullscreen-save input').attr( 'title',  $('#last-edit').text() );
  
! 		s.textarea_obj.value = s.qt_canvas.value;
  
  		if ( s.has_tinymce && s.mode === 'tinymce' )
  			tinyMCE.execCommand('wpFullScreenInit');
  
  		s.orig_y = $(window).scrollTop();
  	});
  
***************
*** 312,345 ****
  	});
  
  	ps.subscribe( 'shown', function() { // This event occurs after the DFW overlay is shown
  		s.visible = true;
  
  		// init the standard TinyMCE instance if missing
  		if ( s.has_tinymce && ! s.is_mce_on ) {
- 			htmled = document.getElementById(s.editor_id), old_val = htmled.value;
  
! 			htmled.value = switchEditors.wpautop( old_val );
  
- 			tinyMCE.settings.setup = function(ed) {
  				ed.onInit.add(function(ed) {
  					ed.hide();
- 					delete tinyMCE.settings.setup;
  					ed.getElement().value = old_val;
  				});
! 			}
  
- 			tinyMCE.execCommand("mceAddControl", false, s.editor_id);
  			s.is_mce_on = true;
  		}
  	});
  
  	ps.subscribe( 'hide', function() { // This event occurs before the overlay blocks DFW.
! 
  		// Make sure the correct editor is displaying.
! 		if ( s.has_tinymce && s.mode === 'tinymce' && $('#' + s.editor_id).is(':visible') ) {
! 			switchEditors.go( s.editor_id, 'tinymce' );
! 		} else if ( s.mode === 'html' && $('#' + s.editor_id).is(':hidden') ) {
! 			switchEditors.go( s.editor_id, 'html' );
  		}
  
  		// Save content must be after switchEditors or content will be overwritten. See #17229.
--- 332,373 ----
  	});
  
  	ps.subscribe( 'shown', function() { // This event occurs after the DFW overlay is shown
+ 		var interim_init;
+ 
  		s.visible = true;
  
  		// init the standard TinyMCE instance if missing
  		if ( s.has_tinymce && ! s.is_mce_on ) {
  
! 			interim_init = function(mce, ed) {
! 				var el = ed.getElement(), old_val = el.value, settings = tinyMCEPreInit.mceInit[s.editor_id];
! 
! 				if ( settings && settings.wpautop && typeof(switchEditors) != 'undefined' )
! 					el.value = switchEditors.wpautop( el.value );
  
  				ed.onInit.add(function(ed) {
  					ed.hide();
  					ed.getElement().value = old_val;
+ 					tinymce.onAddEditor.remove(interim_init);
  				});
! 			};
! 
! 			tinymce.onAddEditor.add(interim_init);
! 			tinyMCE.init(tinyMCEPreInit.mceInit[s.editor_id]);
  
  			s.is_mce_on = true;
  		}
+ 
+ 		wpActiveEditor = 'wp_mce_fullscreen';
  	});
  
  	ps.subscribe( 'hide', function() { // This event occurs before the overlay blocks DFW.
! 		var htmled_is_hidden = $('#' + s.editor_id).is(':hidden');
  		// Make sure the correct editor is displaying.
! 		if ( s.has_tinymce && s.mode === 'tinymce' && !htmled_is_hidden ) {
! 			switchEditors.go(s.editor_id, 'tmce');
! 		} else if ( s.mode === 'html' && htmled_is_hidden ) {
! 			switchEditors.go(s.editor_id, 'html');
  		}
  
  		// Save content must be after switchEditors or content will be overwritten. See #17229.
***************
*** 351,361 ****
  		if ( s.has_tinymce && s.mode === 'tinymce' )
  			tinyMCE.execCommand('wpFullScreenSave');
  
! 		set_title_hint( $('#' + s.title_id) );
  
! 		// Restore and update edCanvas.
! 		edCanvas = s._edCanvas;
! 		edCanvas.value = s.textarea_obj.value;
  	});
  
  	ps.subscribe( 'hiding', function() { // This event occurs while the overlay blocks the DFW UI.
--- 379,388 ----
  		if ( s.has_tinymce && s.mode === 'tinymce' )
  			tinyMCE.execCommand('wpFullScreenSave');
  
! 		if ( s.title_id )
! 			set_title_hint( $('#' + s.title_id) );
  
! 		s.qt_canvas.value = s.textarea_obj.value;
  	});
  
  	ps.subscribe( 'hiding', function() { // This event occurs while the overlay blocks the DFW UI.
***************
*** 367,379 ****
  
  	ps.subscribe( 'hidden', function() { // This event occurs after DFW is removed.
  		s.visible = false;
! 		$('#wp_mce_fullscreen').removeAttr('style');
  
  		if ( s.has_tinymce && s.is_mce_on )
  			tinyMCE.execCommand('wpFullScreenClose');
  
  		s.textarea_obj.value = '';
  		api.oldheight = 0;
  	});
  
  	ps.subscribe( 'switchMode', function( from, to ) {
--- 394,407 ----
  
  	ps.subscribe( 'hidden', function() { // This event occurs after DFW is removed.
  		s.visible = false;
! 		$('#wp_mce_fullscreen, #wp-fullscreen-title').removeAttr('style');
  
  		if ( s.has_tinymce && s.is_mce_on )
  			tinyMCE.execCommand('wpFullScreenClose');
  
  		s.textarea_obj.value = '';
  		api.oldheight = 0;
+ 		wpActiveEditor = s.editor_id;
  	});
  
  	ps.subscribe( 'switchMode', function( from, to ) {
***************
*** 385,391 ****
  		ed = tinyMCE.get('wp_mce_fullscreen');
  
  		if ( from === 'html' && to === 'tinymce' ) {
! 			s.textarea_obj.value = switchEditors.wpautop( s.textarea_obj.value );
  
  			if ( 'undefined' == typeof(ed) )
  				tinyMCE.execCommand('wpFullScreenInit');
--- 413,421 ----
  		ed = tinyMCE.get('wp_mce_fullscreen');
  
  		if ( from === 'html' && to === 'tinymce' ) {
! 
! 			if ( tinyMCE.get(s.editor_id).getParam('wpautop') && typeof(switchEditors) != 'undefined' )
! 				s.textarea_obj.value = switchEditors.wpautop( s.textarea_obj.value );
  
  			if ( 'undefined' == typeof(ed) )
  				tinyMCE.execCommand('wpFullScreenInit');
***************
*** 455,460 ****
--- 485,501 ----
  			tinyMCE.execCommand('mceBlockQuote');
  	}
  
+ 	api.medialib = function() {
+ 		if ( s.has_tinymce && 'tinymce' === s.mode ) {
+ 			tinyMCE.execCommand('WP_Medialib');
+ 		} else {
+ 			var href = $('#wp-' + s.editor_id + '-media-buttons a.thickbox').attr('href') || '';
+ 
+ 			if ( href )
+ 				tb_show('', href);
+ 		}
+ 	}
+ 
  	api.refresh_buttons = function( fade ) {
  		fade = fade || false;
  
***************
*** 491,502 ****
  			s.toolbars = topbar.add( $('#wp-fullscreen-status') );
  			s.element = $('#fullscreen-fader');
  			s.textarea_obj = txtarea[0];
! 			s.has_tinymce = typeof(tinyMCE) != 'undefined';
  
  			if ( !s.has_tinymce )
  				$('#wp-fullscreen-mode-bar').hide();
  
! 			if ( wptitlehint )
  				wptitlehint('wp-fullscreen-title');
  
  			$(document).keyup(function(e){
--- 533,544 ----
  			s.toolbars = topbar.add( $('#wp-fullscreen-status') );
  			s.element = $('#fullscreen-fader');
  			s.textarea_obj = txtarea[0];
! 			s.has_tinymce = typeof(tinymce) != 'undefined';
  
  			if ( !s.has_tinymce )
  				$('#wp-fullscreen-mode-bar').hide();
  
! 			if ( wptitlehint && $('#wp-fullscreen-title').length )
  				wptitlehint('wp-fullscreen-title');
  
  			$(document).keyup(function(e){
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/link-manager.php ./wordpress-3.3/wp-admin/link-manager.php
*** ./wordpress-3.2.1/wp-admin/link-manager.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/link-manager.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 40,50 ****
  $title = __('Links');
  $this_file = $parent_file = 'link-manager.php';
  
! add_contextual_help( $current_screen,
  	'<p>' . sprintf(__('You can add links here to be displayed on your site, usually using <a href="%s">Widgets</a>. By default, links to several sites in the WordPress community are included as examples.'), 'widgets.php') . '</p>' .
!     '<p>' . __('Links may be separated into categories; these are different than the categories used on your posts.') . '</p>' .
!     '<p>' . __('You can customize the display of this screen using the Screen Options tab and/or the dropdown filters above the links table.') . '</p>' .
!     '<p>' . __('If you delete a link, it will be removed permanently, as Links do not have a Trash function yet.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Links_Screen" target="_blank">Documentation on Managing Links</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 40,61 ----
  $title = __('Links');
  $this_file = $parent_file = 'link-manager.php';
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
  	'<p>' . sprintf(__('You can add links here to be displayed on your site, usually using <a href="%s">Widgets</a>. By default, links to several sites in the WordPress community are included as examples.'), 'widgets.php') . '</p>' .
!     '<p>' . __('Links may be separated into Link Categories; these are different than the categories used on your posts.') . '</p>' .
!     '<p>' . __('You can customize the display of this screen using the Screen Options tab and/or the dropdown filters above the links table.') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'deleting-links',
! 'title'		=> __('Deleting Links'),
! 'content'	=>
!     '<p>' . __('If you delete a link, it will be removed permanently, as Links do not have a Trash function yet.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Links_Screen" target="_blank">Documentation on Managing Links</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/load-styles.php ./wordpress-3.3/wp-admin/load-styles.php
*** ./wordpress-3.2.1/wp-admin/load-styles.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/load-styles.php	2011-08-03 18:56:21.000000000 -0500
***************
*** 125,131 ****
  		$content .= get_file($rtl_path) . "\n";
  	}
  
! 	$out .= str_replace( '../images/', 'images/', $content );
  }
  
  header('Content-Type: text/css');
--- 125,136 ----
  		$content .= get_file($rtl_path) . "\n";
  	}
  
! 	if ( strpos( $style->src, '/wp-includes/css/' ) === 0 ) {
! 		$content = str_replace( '../images/', '../wp-includes/images/', $content );
! 		$out .= str_replace( '../js/tinymce/', '../wp-includes/js/tinymce/', $content );
! 	} else {
! 		$out .= str_replace( '../images/', 'images/', $content );
! 	}
  }
  
  header('Content-Type: text/css');
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/maint/repair.php ./wordpress-3.3/wp-admin/maint/repair.php
*** ./wordpress-3.2.1/wp-admin/maint/repair.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/maint/repair.php	2011-10-27 16:14:14.000000000 -0500
***************
*** 6,12 ****
  
  header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
--- 6,12 ----
  
  header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
***************
*** 21,27 ****
  if ( !defined('WP_ALLOW_REPAIR') ) {
  	echo '<p>'.__('To allow use of this page to automatically repair database problems, please add the following line to your wp-config.php file.  Once this line is added to your config, reload this page.')."</p><code>define('WP_ALLOW_REPAIR', true);</code>";
  } elseif ( isset($_GET['repair']) ) {
- 	$problems = array();
  	check_admin_referer('repair_db');
  
  	if ( 2 == $_GET['repair'] )
--- 21,26 ----
***************
*** 30,37 ****
--- 29,38 ----
  		$optimize = false;
  
  	$okay = true;
+ 	$problems = array();
  
  	$tables = $wpdb->tables();
+ 
  	// Sitecategories may not exist if global terms are disabled.
  	if ( is_multisite() && ! $wpdb->get_var( "SHOW TABLES LIKE '$wpdb->sitecategories'" ) )
  		unset( $tables['sitecategories'] );
***************
*** 39,54 ****
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
  		$check = $wpdb->get_row("CHECK TABLE $table");
  		if ( 'OK' == $check->Msg_text ) {
! 			echo "<p>The $table table is okay.";
  		} else {
! 			echo "<p>The $table table is not okay. It is reporting the following error: <code>$check->Msg_text</code>.  WordPress will attempt to repair this table&hellip;";
  			$repair = $wpdb->get_row("REPAIR TABLE $table");
  			if ( 'OK' == $check->Msg_text ) {
! 				echo "<br />&nbsp;&nbsp;&nbsp;&nbsp;Successfully repaired the $table table.";
  			} else {
! 				echo "<br />&nbsp;&nbsp;&nbsp;&nbsp;Failed to repair the $table table. Error: $check->Msg_text<br />";
! 				$problems["$table"] = $check->Msg_text;
  				$okay = false;
  			}
  		}
--- 42,66 ----
  	// Loop over the tables, checking and repairing as needed.
  	foreach ( $tables as $table ) {
  		$check = $wpdb->get_row("CHECK TABLE $table");
+ 
+ 		echo '<p>';
  		if ( 'OK' == $check->Msg_text ) {
! 			/* translators: %s: table name */
! 			printf( __( 'The %s table is okay.' ), $table );
  		} else {
! 			/* translators: 1: table name, 2: error message, */
! 			printf( __( 'The %1$s table is not okay. It is reporting the following error: %2$s.  WordPress will attempt to repair this table&hellip;' ) , $table, "<code>$check->Msg_text</code>" );
! 
  			$repair = $wpdb->get_row("REPAIR TABLE $table");
+ 
+ 			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp;';
  			if ( 'OK' == $check->Msg_text ) {
! 				/* translators: %s: table name */
! 				printf( __( 'Successfully repaired the %s table.' ), $table );
  			} else {
! 				/* translators: 1: table name, 2: error message, */
! 				echo sprintf( __( 'Failed to repair the  %1$s table. Error: %2$s' ), $table, "<code>$check->Msg_text</code>" ) . '<br />';
! 				$problems[$table] = $check->Msg_text;
  				$okay = false;
  			}
  		}
***************
*** 52,67 ****
  				$okay = false;
  			}
  		}
  		if ( $okay && $optimize ) {
  			$check = $wpdb->get_row("ANALYZE TABLE $table");
  			if ( 'Table is already up to date' == $check->Msg_text )  {
! 				echo "<br />&nbsp;&nbsp;&nbsp;&nbsp;The $table table is already optimized.";
  			} else {
  				$check = $wpdb->get_row("OPTIMIZE TABLE $table");
! 				if ( 'OK' == $check->Msg_text || 'Table is already up to date' == $check->Msg_text )
! 					echo "<br />&nbsp;&nbsp;&nbsp;&nbsp;Successfully optimized the $table table.";
! 				else
! 					echo "<br />&nbsp;&nbsp;&nbsp;&nbsp;Failed to optimize the $table table. Error: $check->Msg_text";
  			}
  		}
  		echo '</p>';
--- 64,88 ----
  				$okay = false;
  			}
  		}
+ 
  		if ( $okay && $optimize ) {
  			$check = $wpdb->get_row("ANALYZE TABLE $table");
+ 
+ 			echo '<br />&nbsp;&nbsp;&nbsp;&nbsp';
  			if ( 'Table is already up to date' == $check->Msg_text )  {
! 				/* translators: %s: table name */
! 				printf( __( 'The %s table is already optimized.' ), $table );
  			} else {
  				$check = $wpdb->get_row("OPTIMIZE TABLE $table");
! 
! 				echo '<br />&nbsp;&nbsp;&nbsp;&nbsp';
! 				if ( 'OK' == $check->Msg_text || 'Table is already up to date' == $check->Msg_text ) {
! 					/* translators: %s: table name */
! 					printf( __( 'Successfully optimized the %s table.' ), $table );
! 				} else {
! 					/* translators: 1: table name, 2: error message, */
! 					printf( __( 'Failed to optimize the %1$s table. Error: %2$s' ), $table, "<code>$check->Msg_text</code>" );
! 				}
  			}
  		}
  		echo '</p>';
***************
*** 89,92 ****
  }
  ?>
  </body>
! </html>
\ No newline at end of file
--- 110,113 ----
  }
  ?>
  </body>
! </html>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/media-new.php ./wordpress-3.3/wp-admin/media-new.php
*** ./wordpress-3.2.1/wp-admin/media-new.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/media-new.php	2011-11-18 02:43:16.000000000 -0600
***************
*** 6,14 ****
   * @subpackage Administration
   */
  
  $_GET['inline'] = 'true';
  /** Administration bootstrap */
  require_once('./admin.php');
  require_once('./media-upload.php');
  
! ?>
\ No newline at end of file
--- 6,19 ----
   * @subpackage Administration
   */
  
+ global $is_iphone;
+ 
+ if ( $is_iphone ) // cannot upload files from iPhone/iPad
+ 	return;
+ 
  $_GET['inline'] = 'true';
  /** Administration bootstrap */
  require_once('./admin.php');
  require_once('./media-upload.php');
  
! ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/media.php ./wordpress-3.3/wp-admin/media.php
*** ./wordpress-3.2.1/wp-admin/media.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/media.php	2011-11-30 20:22:07.000000000 -0600
***************
*** 67,81 ****
  	wp_enqueue_script('image-edit');
  	wp_enqueue_style('imgareaselect');
  
! 	add_contextual_help( $current_screen,
! 	'<p>' . __('This screen allows you to edit five fields for metadata in a file within the media library.') . '</p>' .
! 	'<p>' . __('For images only, you can click on Edit Image under the thumbnail to expand out an inline image editor with icons for cropping, rotating, or flipping the image as well as for undoing and redoing. The boxes on the right give you more options for scaling the image, for cropping it, and for cropping the thumbnail in a different way than you crop the original image. You can click on Help in those boxes to get more information.') . '</p>' .
! 	'<p>' . __('Note that you crop the image by clicking on it (the Crop icon is already selected) and dragging the cropping frame to select the desired part. Then click Save to retain the cropping.') . '</p>' .
! 	'<p>' . __('Remember to click Update Media to save metadata entered or changed.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Media_Add_New_Screen#Edit_Media" target="_blank">Documentation on Edit Media</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! );
  
  	require( './admin-header.php' );
  
--- 67,87 ----
  	wp_enqueue_script('image-edit');
  	wp_enqueue_style('imgareaselect');
  
! 	get_current_screen()->add_help_tab( array(
! 		'id'      => 'overview',
! 		'title'   => __('Overview'),
! 		'content' =>
! 			'<p>' . __('This screen allows you to edit five fields for metadata in a file within the media library.') . '</p>' .
! 			'<p>' . __('For images only, you can click on Edit Image under the thumbnail to expand out an inline image editor with icons for cropping, rotating, or flipping the image as well as for undoing and redoing. The boxes on the right give you more options for scaling the image, for cropping it, and for cropping the thumbnail in a different way than you crop the original image. You can click on Help in those boxes to get more information.') . '</p>' .
! 			'<p>' . __('Note that you crop the image by clicking on it (the Crop icon is already selected) and dragging the cropping frame to select the desired part. Then click Save to retain the cropping.') . '</p>' .
! 			'<p>' . __('Remember to click Update Media to save metadata entered or changed.') . '</p>'
! 	) );
! 
! 	get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Media_Add_New_Screen#Edit_Media" target="_blank">Documentation on Edit Media</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
! 	);
  
  	require( './admin-header.php' );
  
